Eclipse Platform Release 3.7

## org.eclipse.compare
Interface IEncodedStreamContentAccessor

All Superinterfaces:
  IStreamContentAccessor

All Known Implementing Classes:
  DocumentRangeNode, HistoryItem, ResourceNode, StructureRootNode

    public interface IEncodedStreamContentAccessor

extends IStreamContentAccessor

Extension for `IStreamContentAccessor`. Extends the original concept of a `IStreamContentAccessor` to answer the Charset (encoding) used for the stream.

Since:
  3.0

Method Summary
`String` `getCharset()` Returns the name of a charset encoding to be used when decoding this stream accessor's contents into characters.

Methods inherited from interface org.eclipse.compare.IStreamContentAccessor
`getContents`

Method Detail

### getCharset

    String getCharset()
                      throws CoreException

  Returns the name of a charset encoding to be used when decoding this stream accessor's contents into characters. Returns `null` if a proper encoding cannot be determined.

  Note: this method does not check whether the result is a supported charset name. Callers should be prepared to handle `UnsupportedEncodingException` where this charset is used.

  Returns:
    the name of a charset, or `null`
  Throws:
    `CoreException` - if an error happens while determining the charset. See any refinements for more information.
  Since:
    3.0
  See Also:
    `IStreamContentAccessor.getContents()`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.